<template>
  <lobby-settings-games-module-three
    v-if="props.data.SelectedStyle.includes('_03')"
    :game-selected="props.data.Position"
  />
  <lobby-settings-games-module-four
    v-else-if="props.data.SelectedStyle.includes('_04')"
    :game-selected="props.data.Position"
  />
  <lobby-settings-games-module-five
    v-else-if="props.data.SelectedStyle.includes('_05')"
  />
  <theme-desktop-bk8-components-hot-game-list
    v-else-if="props.data.SelectedStyle.includes('_02')"
    :is-has-load-more="false"
  />
  <lobby-settings-games-module-one v-else />
</template>

<script lang="ts" setup>
import { ILobbySettingsText } from "~~/models/customizeTheme";

const props = defineProps<{
  data: ILobbySettingsText;
}>();
</script>
